Go Down

Topic: Writing code for fluxamasynth in 1.03 arduino (Read 824 times) previous topic - next topic

PaulS

NewSoftSerial is not appropriate for use with 1.0+. Change that to SoftwareSerial, instead.

Where did you get the fluxowhatever library?

Trazman001

#6
Jan 11, 2013, 01:50 am Last Edit: Jan 11, 2013, 02:28 am by Trazman001 Reason: 1
Code: [Select]
#include <SoftwareSerial.h>

#include <Fluxamasynth.h>

#include <PgmChange.h>

#include <fluxamasynth_nss.h>


#if (ARDUINO >= 100)
#include <Arduino.h>
#else
#include <WProgram.h>
#endif


Fluxamasynth synth;

#define byte uint8_t


C:\arduino\arduino-1.0.3\libraries\Fluxamasynth/Fluxamasynth.h:21
:22: error: WProgram.h: No such file or directory
in file included from
C:\arduino\arduino-1.0.3\libraries\Fluxamasynth/Fluxamasynth.h:22
,

conflicting return type specifed for 'virtual void
NewSoftSerial::write(uint8_t)'


I got the Fluxamasynth libraries from
http://wiki.moderndevice.com/pmwiki.php?n=MD.ListMethods
i couldn't get the libraries from github, no download link just printed.

Please help!  =( =( =( =( =( =(

PaulS

Quote
i couldn't get the libraries from github, no download link just printed.


I could. I don't like how they "upgraded" to 1.0+, but the latest version does compile on 1.0.1, at least.

Trazman001

Can you send me an link to the latest versions?  $)

PaulS

Quote
Can you send me an link to the latest versions?

You posted it, earlier. Scroll down on that page until you see Clone in Windows followed by ZIP. Pick ZIP.

Go Up